package com.lizlam.terminal;

import java.util.List;

import twitter4j.Paging;
import twitter4j.Status;
import twitter4j.Twitter;
import twitter4j.TwitterFactory;
import twitter4j.conf.ConfigurationBuilder;

/**
 * Created by liz on 4/28/15.
 */
public class TwitterInfo {

    final static String USER = "p4liz";

    // Fill in the appropriate tokens and keys needed for Twitter API
    final static String CONSUMER_KEY = "consumer key string";
    final static String CONSUMER_SECRET = "consumer secret string";
    final static String ACCESS_TOKEN = "access token string"; 
    final static String ACCESS_TOKEN_SECRET = "access token secret string";

    final static String PROMPT = "llam@android:~$ tail -f twitter.log";

    protected String getTweets() {
        ConfigurationBuilder cb = new ConfigurationBuilder();
        cb.setOAuthConsumerKey(CONSUMER_KEY);
        cb.setOAuthConsumerSecret(CONSUMER_SECRET);
        cb.setOAuthAccessToken(ACCESS_TOKEN);
        cb.setOAuthAccessTokenSecret(ACCESS_TOKEN_SECRET);

        Twitter twitter = new TwitterFactory(cb.build()).getInstance();
        List<Status> statuses;
        Paging paging = new Paging(1, 100);
        StringBuilder tweets = new StringBuilder();
        tweets.append(PROMPT);

        try {
            statuses = twitter.getUserTimeline(USER, paging);
            for (twitter4j.Status status : statuses) {
                tweets.append("\n");
                tweets.append(status.getCreatedAt() + ":\n" + status.getText() + "\n");
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return tweets.toString();
    }

    public static void main(String[] args) {
        TwitterInfo ti = new TwitterInfo();
        ti.getTweets();
    }
}
